Subject: bug#54399: 27.2; Problems with (let ((custom-variable ...)) (autoload-function ...))

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 May 2022 11:36:40 +0300

> From: Ignacio Casso <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Thu, 12 May 2022 10:14:13 +0200
> 
> > This doesn't just change documentation, it also changes some code.
> 
> Do you say it because of the commit message?

No, because of this:

> -  (let* ((get (or (get symbol 'custom-get) #'default-value))
> +  (let* ((get (or (get symbol 'custom-get) #'default-toplevel-value))

and this:

> @@ -114,7 +114,7 @@ custom-initialize-changed
>                  symbol
>                  (eval (car (get symbol 'saved-value)))))
>        (t
> -       (set-default symbol (eval exp)))))))
> +       (set-default-toplevel-value symbol (eval exp)))))))

and several similar changes.

> I was waiting until you agreed on the patch to write a proper one
> following the guidelines.
> 
> Or if you want a patch with only documentation changes, I can
> update it, but the changes are just using the toplevel versions in a
> few places that were missing.

My point is that you seemed to be sating that you suggest a
documentation change, but the changeset actually changes some code.
So I'm not sure anymore what is this changeset about.  Perhaps I
forgot what we were discussing at the beginning, since that was quite
some time ago.  Can you remind?